# OpenSQLManager » \OpenSQLManager\DB_tabs
Author: Mike van Riel

Tabbed Container for database properties

package | OpenSQLManager
subpackage | Widgets

### Methods

## Create the object

    __construct($parent)

### Parameters

#### $parent

``

## Add a new tab with the provided label

    add_tab(string $label, \OpenSQLManager\GObject $widget) : void

### Parameters

#### $label

`string`

#### $widget

`\OpenSQLManager\GObject`

## Return the db tabs object if it exists, or create and return

    get_instance($parent) : \OpenSQLManager\DB_tabs

### Parameters

#### $parent

``

### Returns

`\OpenSQLManager\DB_tabs`

### Properties

## Db Data cache

    $data : array

## Current Tab Widget object

    $instance : \OpenSQLManager\DB_Tabs

## Reference to parent

    $parent : \OpenSQLManager\wxWindow